[versions]
agp = "8.2.0-alpha06"
androidautosize = "v1.2.1"
com-jakewharton-retrofit-retrofit2-kotlin-coroutines-adapter2 = "0.9.2"
com-squareup-okhttp3-logging-interceptor2 = "4.9.3"
com-squareup-retrofit2-converter-scalars2 = "2.9.0"
com-squareup-retrofit2-converter-gson2 = "2.9.0"
com-squareup-retrofit2-adapter-rxjava22 = "2.5.0"
com-squareup-retrofit2-retrofit2 = "2.9.0"
constraintlayoutversion = "2.2.0-alpha13"
dialogxversion = "0.0.48"
eventbus = "3.3.1"
kotlin = "1.8.10"
core-ktx = "1.12.0"
junit = "4.13.2"
androidx-test-ext-junit = "1.1.5"
espresso-core = "3.5.1"
activity-compose = "1.8.1"
compose-bom = "2023.03.00"
appcompat = "1.6.1"

lifecycle-viewmodel-ktx = "2.7.0"
androidx-lifecycle-livedata-ktx = "2.7.0"
lifecycle-runtime-ktx = "2.7.0"
material = "1.11.0"
org-jetbrains-kotlinx-kotlinx-coroutines-android2 = "1.8.0"
org-jetbrains-kotlinx-kotlinx-coroutines-core2 = "1.8.0"
multidex = "2.0.1"
recyclerview = "1.3.2"
refresh-layout-kernel = "2.0.6"
rxpermissions = "0.10.2"
rxjava = "2.2.8"
rxandroid = "2.1.1"
gittoaster = "12.3"
adapterhelper = "3.0.4"
cardview = "1.0.0"
work-runtime-ktx = "2.9.0"
glide-version="4.15.1"

[libraries]


androidx-constraintlayout = { module = "androidx.constraintlayout:constraintlayout", version.ref = "constraintlayoutversion" }
androidx-lifecycle-viewmodel-ktx = { module = "androidx.lifecycle:lifecycle-viewmodel-ktx", version.ref = "lifecycle-viewmodel-ktx" }
com-jakewharton-retrofit-retrofit2-kotlin-coroutines-adapter2 = { module = "com.jakewharton.retrofit:retrofit2-kotlin-coroutines-adapter", version.ref = "com-jakewharton-retrofit-retrofit2-kotlin-coroutines-adapter2" }
com-squareup-okhttp3-logging-interceptor = { module = "com.squareup.okhttp3:logging-interceptor", version.ref = "com-squareup-okhttp3-logging-interceptor2" }
com-squareup-retrofit2-converter-scalars = { module = "com.squareup.retrofit2:converter-scalars", version.ref = "com-squareup-retrofit2-converter-scalars2" }
com-squareup-retrofit2-converter-gson = { module = "com.squareup.retrofit2:converter-gson", version.ref = "com-squareup-retrofit2-converter-gson2" }
com-squareup-retrofit2-adapter-rxjava2 = { module = "com.squareup.retrofit2:adapter-rxjava2", version.ref = "com-squareup-retrofit2-adapter-rxjava22" }
com-squareup-retrofit2-retrofit = { module = "com.squareup.retrofit2:retrofit", version.ref = "com-squareup-retrofit2-retrofit2" }
androidx-multidex = { module = "androidx.multidex:multidex", version.ref = "multidex" }
dialogx = { module = "com.github.kongzue.DialogX:DialogX", version.ref = "dialogxversion" }
junit = { group = "junit", name = "junit", version.ref = "junit" }
androidx-test-ext-junit = { group = "androidx.test.ext", name = "junit", version.ref = "androidx-test-ext-junit" }
espresso-core = { group = "androidx.test.espresso", name = "espresso-core", version.ref = "espresso-core" }
lifecycle-livedata-ktx = { module = "androidx.lifecycle:lifecycle-livedata-ktx", version.ref = "androidx-lifecycle-livedata-ktx" }
lifecycle-runtime-ktx = { group = "androidx.lifecycle", name = "lifecycle-runtime-ktx", version.ref = "lifecycle-runtime-ktx" }
activity-compose = { group = "androidx.activity", name = "activity-compose", version.ref = "activity-compose" }
compose-bom = { group = "androidx.compose", name = "compose-bom", version.ref = "compose-bom" }
org-jetbrains-kotlinx-kotlinx-coroutines-android2 = { module = "org.jetbrains.kotlinx:kotlinx-coroutines-android", version.ref = "org-jetbrains-kotlinx-kotlinx-coroutines-android2" }
org-jetbrains-kotlinx-kotlinx-coroutines-core2 = { module = "org.jetbrains.kotlinx:kotlinx-coroutines-core", version.ref = "org-jetbrains-kotlinx-kotlinx-coroutines-core2" }
ui = { group = "androidx.compose.ui", name = "ui" }
ui-graphics = { group = "androidx.compose.ui", name = "ui-graphics" }
ui-tooling = { group = "androidx.compose.ui", name = "ui-tooling" }
ui-tooling-preview = { group = "androidx.compose.ui", name = "ui-tooling-preview" }
ui-test-manifest = { group = "androidx.compose.ui", name = "ui-test-manifest" }
ui-test-junit4 = { group = "androidx.compose.ui", name = "ui-test-junit4" }
material3 = { group = "androidx.compose.material3", name = "material3" }
appcompat = { group = "androidx.appcompat", name = "appcompat", version.ref = "appcompat" }
material = { group = "com.google.android.material", name = "material", version.ref = "material" }
androidx-recyclerview = { group = "androidx.recyclerview", name = "recyclerview", version.ref = "recyclerview" }

rxpermissions = { module = "com.github.tbruyelle:rxpermissions", version.ref = "rxpermissions" }
rxjava = { module = "io.reactivex.rxjava2:rxjava", version.ref = "rxjava" }
rxandroid = { module = "io.reactivex.rxjava2:rxandroid", version.ref = "rxandroid" }
gittoaster = { module = "com.github.getActivity:Toaster", version.ref = "gittoaster" }


baseadapterhelper = { module = "com.github.CymChad:BaseRecyclerViewAdapterHelper", version.ref = "adapterhelper" }
core-ktx = { group = "androidx.core", name = "core-ktx", version.ref = "core-ktx" }
eventbus = { module = "org.greenrobot:eventbus", version.ref = "eventbus" }

smartrefresh-footer-classics = { module = "io.github.scwang90:refresh-footer-classics", version.ref = "refresh-layout-kernel" }
smartrefresh-footer-ball = { module = "io.github.scwang90:refresh-footer-ball", version.ref = "refresh-layout-kernel" }
smartrefresh-header-two-level = { module = "io.github.scwang90:refresh-header-two-level", version.ref = "refresh-layout-kernel" }
smartrefresh-header-material = { module = "io.github.scwang90:refresh-header-material", version.ref = "refresh-layout-kernel" }
smartrefresh-header-falsify = { module = "io.github.scwang90:refresh-header-falsify", version.ref = "refresh-layout-kernel" }
smartrefresh-header-radar = { module = "io.github.scwang90:refresh-header-radar", version.ref = "refresh-layout-kernel" }
smartrefresh-header-classics = { module = "io.github.scwang90:refresh-header-classics", version.ref = "refresh-layout-kernel" }
smartrefresh-layout-kernel = { module = "io.github.scwang90:refresh-layout-kernel", version.ref = "refresh-layout-kernel" }
androidx-cardview = { group = "androidx.cardview", name = "cardview", version.ref = "cardview" }

jessyanandroidautosize = { module = "com.github.JessYanCoding:AndroidAutoSize", version.ref = "androidautosize" }
androidx-work-runtime-ktx = { group = "androidx.work", name = "work-runtime-ktx", version.ref = "work-runtime-ktx" }
bumptech-glide={module="com.github.bumptech.glide:glide",version.ref="glide-version"}

[plugins]
androidApplication = { id = "com.android.application", version.ref = "agp" }
kotlinAndroid = { id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }
androidLibrary = { id = "com.android.library", version.ref = "agp" }
[bundles]

